# Agenten-Plattform

## Allgemein
- Docker Container
	- Ein Manager-Agent
	- Viele Worker-Agenten
- JSON Post Requests
- Studis erstellen Worker-Agenten
	- Library vorgegeben
	- HTTP-Server für Tasks, Ergebnisse per HTTP an Manager
	- Worker registriert sich beim Manager mit 
		- Seiner IP/ HTTP Schnittstelle
		- Seinen Fähigkeiten (Capabilities)
		- 

## Agent Capabilities
- 
- Vorverarbeitung
- Evaluation

## Example
- Manager und einfache Worker


## Requests

```
{
	"type" : "register" // "unregister",
	"body" : {
		"capabilities" : [""],
		"endpoint" : "10.0.0.12:8080"
	},
	"sender-id" : "worker1",
	"comment" : "",
	"error" : false
}
```

```
{
	"type" : "task",
	"task-id" : "t12",
	"capability" : "",
	"body" : {
		
	},
	"sender-id" : "manager",
	"comment" : "",
	"error" : false
}
```

```
{
	"type" : "response",
	"task-id" : "t12"
	"body" : {
		
	},
	"sender-id" : "worker1",
	"comment" : "",
	"error" : false
}
```

## Aufgabe
- Online-Escape-Room
- Unterlagen, die zum "Ausgang" führen
- Eingabe: Unterlagen für Rätsel (Audio, Text, Bilder, ...) [ZIP, JSON]
	- Vorverarbeitung: Agent je für Audio, Text, Bild (&rarr; alles textlich)
	- Analyse: 
	- Ausgabe: Lösung & Erklärung
- Ziel: Finde Lösung mit Erklärung